resources

## Class FavoredPCP

- java.lang.Object
- - resources.FavoredPCP

-     public class FavoredPCP
      extends java.lang.Object

  Version:
    1.0
  Author:
    Alan Mills

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FavoredPCP(AgentID pFavoredPCP_ID, int pFavoredPCPCount)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AgentID` | `getFavoredPCP_ID()` Gets the favoredPCP_ID attribute.
    `int` | `getFavoredPCPCount()` Gets the favoredPCPCount attribute.
    `void` | `setFavoredPCP_ID(AgentID pFavoredPCP_ID)` Sets the favoredPCP_ID attribute.
    `void` | `setFavoredPCPCount(int pFavoredPCPCount)` Sets the favoredPCPCount attribute.
    `java.lang.String` | `toString()` Returns the favored PCP data as a string.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FavoredPCP

          public FavoredPCP(AgentID pFavoredPCP_ID,
                    int pFavoredPCPCount)

      Parameters:
        `pFavoredPCP_ID` -
        `pFavoredPCPCount` -

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the favored PCP data as a string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the favored PCP data as a string

    - #### getFavoredPCP_ID

          public AgentID getFavoredPCP_ID()

      Gets the favoredPCP_ID attribute.
      Returns:
        favoredPCP_ID

    - #### setFavoredPCP_ID

          public void setFavoredPCP_ID(AgentID pFavoredPCP_ID)

      Sets the favoredPCP_ID attribute.
      Parameters:
        `pFavoredPCP_ID` -

    - #### getFavoredPCPCount

          public int getFavoredPCPCount()

      Gets the favoredPCPCount attribute.
      Returns:
        favoredPCPCount

    - #### setFavoredPCPCount

          public void setFavoredPCPCount(int pFavoredPCPCount)

      Sets the favoredPCPCount attribute.
      Parameters:
        `pFavoredPCPCount` -